<!doctype html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=UTF-8"/>
  <title>postMessage跨域-b</title>
  <meta name="Keywords" content="关键词"/>
  <meta name="Description" content="描述"/>
  <link rel="stylesheet" type="text/css" href=" "/>
  <style type="text/css"></style>
  
</head>
<body>
<script>
   // 接收domain1的数据
   window.addEventListener('message', function(e) {
	 alert('data from domain1 ---> ' + e.data);
	 var data = JSON.parse(e.data);
	 if (data) {
	     data.number = 16;
	     // 处理后再发回domain1
	    window.parent.postMessage(JSON.stringify(data), 'http://www.domain1.com');
       }
   }, false);
</script>
 </body>
</html>